StaticVerifier (groovy 2.4.3 API)
Date: 2015-03-23

Package: org.codehaus.groovy.control

## [Java] Class StaticVerifier

- org.codehaus.groovy.control.StaticVerifier

- Verifier to check non-static access in static contexts

  Authors:
    Jochen Theodorou
    Paul King
    Roshan Dawrani

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected SourceUnit` | `getSourceUnit()`
    `void` | `visitClass(ClassNode node, SourceUnit source)`
    `void` | `visitClosureExpression(ClosureExpression ce)`
    `void` | `visitConstructorCallExpression(ConstructorCallExpression cce)`
    `void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`
    `void` | `visitMethodCallExpression(MethodCallExpression mce)`
    `void` | `visitPropertyExpression(PropertyExpression pe)`
    `void` | `visitVariableExpression(VariableExpression ve)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `visitMethod, visitField, visitProperty, visitConstructor, visitReturnStatement, visitDeclarationExpression, visitIfElse, visitClass, visitBreakStatement, visitContinueStatement, visitThrowStatement, visitSynchronizedStatement, visitCatchStatement, visitForLoop, visitBlockStatement, visitWhileLoop, visitDoWhileLoop, visitExpressionStatement, visitAssertStatement, visitTryCatchFinally, visitSwitch, visitCaseStatement, visitPackage, visitImports, visitAnnotations, visitClassExpression, visitPropertyExpression, visitConstantExpression, visitListExpression, visitMethodPointerExpression, visitVariableExpression, visitGStringExpression, visitArrayExpression, visitSpreadExpression, visitSpreadMapExpression, visitNotExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitCastExpression, visitArgumentlistExpression, visitClosureListExpression, visitBytecodeExpression, visitMethodCallExpression, visitStaticMethodCallExpression, visitConstructorCallExpression, visitTernaryExpression, visitFieldExpression, visitShortTernaryExpression, visitBinaryExpression, visitPrefixExpression, visitPostfixExpression, visitBooleanExpression, visitClosureExpression, visitTupleExpression, visitMapExpression, visitMapEntryExpression, visitRangeExpression, visitAttributeExpression, visitBitwiseNegationExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class CodeVisitorSupport` | `visitClassExpression, visitPropertyExpression, visitConstantExpression, visitReturnStatement, visitListExpression, visitMethodPointerExpression, visitVariableExpression, visitDeclarationExpression, visitGStringExpression, visitArrayExpression, visitSpreadExpression, visitSpreadMapExpression, visitNotExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitCastExpression, visitArgumentlistExpression, visitClosureListExpression, visitBytecodeExpression, visitIfElse, visitBreakStatement, visitContinueStatement, visitThrowStatement, visitSynchronizedStatement, visitCatchStatement, visitMethodCallExpression, visitStaticMethodCallExpression, visitConstructorCallExpression, visitTernaryExpression, visitFieldExpression, visitShortTernaryExpression, visitBinaryExpression, visitPrefixExpression, visitPostfixExpression, visitBooleanExpression, visitClosureExpression, visitTupleExpression, visitMapExpression, visitMapEntryExpression, visitRangeExpression, visitAttributeExpression, visitBitwiseNegationExpression, visitForLoop, visitBlockStatement, visitWhileLoop, visitDoWhileLoop, visitExpressionStatement, visitAssertStatement, visitTryCatchFinally, visitSwitch, visitCaseStatement, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override protected SourceUnit getSourceUnit()

    - #### public void visitClass(ClassNode node, SourceUnit source)

    - #### @Override public void visitClosureExpression(ClosureExpression ce)

    - #### @Override public void visitConstructorCallExpression(ConstructorCallExpression cce)

    - #### @Override public void visitConstructorOrMethod(MethodNode node, boolean isConstructor)

    - #### @Override public void visitMethodCallExpression(MethodCallExpression mce)

    - #### @Override public void visitPropertyExpression(PropertyExpression pe)

    - #### @Override public void visitVariableExpression(VariableExpression ve)